#
# spec file for package zmd (Version 7.1.1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dbus-1-mono diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gdbm gdbm-devel gettext gettext-devel giflib glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal info insserv klogd less libacl libattr libcom_err libgcc libgdiplus libicu libidn libjpeg libnscd libpng libstdc++ libtiff libtool libunwind libunwind-devel libusb libxcrypt libxml2 libzio libzypp libzypp-zmd-backend log4net m4 make man mktemp module-init-tools mono-basic mono-core mono-data mono-data-sqlite mono-devel mono-web mono-winforms ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm rpm-devel sed sqlite sqlite-devel sqlite2 strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-libs zlib zlib-devel

Name:           zmd
BuildRequires:  dbus-1-mono libzypp-zmd-backend log4net mono-basic mono-data-sqlite mono-devel perl-XML-Parser rpm-devel sqlite-devel
URL:            http://www.novell.com
Version:        7.1.1.0
Release:        39.38
License:        LGPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Source1:        sysconfig.%{name}
Patch0:         %{name}-makefile-docdir.patch
Patch1:         verified-certs.patch
Patch2:         dont-run-transaction-test.patch
Patch3:         zmd-networkmanager-reconnect.diff
Patch4:         retry-interval.patch
Patch5:         sleep-interval.patch
Patch6:         sysconfig-zmd.patch
Patch7:         zmd-init.patch
Patch8:         logrotate.patch
Patch9:         signature.diff
Summary:        Novell ZENworks Linux Management daemon
Group:          System/Daemons
Autoreqprov:    on
Prereq:         %insserv_prereq
Requires:       libzypp-zmd-backend >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' libzypp-zmd-backend`)
Requires:       dbus-1-mono
Obsoletes:      rcd

%description
The ZENworks daemon contains modules that execute various software
management functions. Instructions are either available or provided by
the ZLM server. The daemon is accessible from the ZLM CLI "rug" as well
as the ZLM GUI.



Authors:
--------
    Tambet Ingo <tambet@ximian.com>
    James Willcox <james@ximian.com>
    Chris Rivera <crivera@novell.com>
    Dan Mills <thunder@ximian.com>

%debug_package
%package devel
Summary:        Development files for Red Carpet Daemon
Group:          System/Daemons
Requires:       %name = %version
Obsoletes:      rcd-devel

%description devel
This package contains the headers and pkg-config file required for
third party module development.



Authors:
--------
    Tambet Ingo <tambet@ximian.com>
    James Willcox <james@ximian.com>
    Chris Rivera <crivera@novell.com>
    Dan Mills <thunder@ximian.com>

%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9 -p1

%build
libtoolize -f
aclocal -I .
autoconf
automake
PKG_CONFIG="/usr/bin/pkg-config" \
CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="-w" \
./configure 	--prefix=%_prefix \
		--libdir=%_libdir \
		--sysconfdir=%_sysconfdir \
		--mandir=%_mandir \
		--with-init-script-type=lsb \
                --disable-lib-copy \
		--disable-tests \
		--enable-nm \
                --disable-backend \
                --localstatedir=/var  
make

%install
make install DESTDIR=$RPM_BUILD_ROOT initdir=/etc/init.d
ln -sf ../../etc/init.d/novell-zmd $RPM_BUILD_ROOT/usr/sbin/rczmd
%find_lang %{name}
# ugh!
rm -rf $RPM_BUILD_ROOT/%{_libdir}/zmd/parse-metadata
# ugh(2)!
mkdir -p $RPM_BUILD_ROOT/var/cache/zmd
mkdir -p $RPM_BUILD_ROOT/var/run/zmd
# ugh (3)!
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
cp sysconfig.zmd $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.zmd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{restart_on_update novell-zmd}
%{insserv_force_if_yast novell-zmd}
%{fillup_only}

%postun
%{insserv_cleanup}

%files -f %{name}.lang
%defattr(-, root, root)
%doc README
%dir %_sysconfdir/zmd
%config(noreplace) %_sysconfdir/zmd/zmd.conf
%dir %_sysconfdir/zmd/trusted-certs
%config(noreplace) %_sysconfdir/zmd/trusted-certs/*
%{_sysconfdir}/init.d/novell-zmd
%{_sbindir}/zmd
%{_sbindir}/rczmd
%dir %{_prefix}/lib/mono/zmd
%{_prefix}/lib/mono/zmd/Novell.Zenworks.Zmd.Packaging.Public.dll
%{_prefix}/lib/mono/zmd/Novell.Zenworks.Zmd.Public.dll
%{_prefix}/lib/mono/gac/Novell.Zenworks.Zmd.Packaging.Public
%{_prefix}/lib/mono/gac/Novell.Zenworks.Zmd.Public
%dir %{_prefix}/lib/zmd
%{_prefix}/lib/zmd/*.dll
%{_prefix}/lib/zmd/zmd.exe
%{_prefix}/lib/zmd/zmd.exe.config
%{_prefix}/lib/zmd/modules
%{_libdir}/pkgconfig/zmd-public.pc
%{_libdir}/pkgconfig/zmd-package-management.pc
%{_libdir}/pkgconfig/zmd-package-management-public.pc
%dir %{_libdir}/zmd
%{_libdir}/zmd/zmd-bin
%{_libdir}/libzmdutil.a
%{_libdir}/libzmdutil.la
%{_libdir}/libzmdutil.so
#%dir %{_mandir}/en
#%dir %{_mandir}/en/man8
%dir %{_mandir}/fr
%dir %{_mandir}/fr/man8
%dir %{_mandir}/pt
%dir %{_mandir}/pt/man8
%{_mandir}/*/*/*.gz
%{_mandir}/*/*.gz
%{_datadir}/zmd
# XXX: should /var be replaced by a macro?
%dir /var/cache/zmd
%attr(755, root,root) /var/run/zmd
/var/adm/fillup-templates/sysconfig.zmd

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/zmd.pc
# %{_libdir}/monodoc/sources/*

%changelog -n zmd
* Tue Jun 20 2006 - tambet@ximian.com
- WebCache.Exists() is a static method of WebCache and thus
  can't use the WebCache's authentication. Finally fixes #183381.
  svn rev 30706 added as signature.diff
* Mon Jun 19 2006 - thunder@suse.de
- New source drop (r30653):
- Implement a remote call IPreferenceManager.CleanAtNextStartup()
  that makes zmd to rewrite it's sqlite database at next start and
  whatever else we might need to clean up in the future. Workaround
  for #186208.
- Fix issue with duplicates in the SystemResolvableCatalog.
* Sat Jun 17 2006 - thunder@suse.de
- New source drop (r30635):
- If parse-metadata fails throw progress.Exception if it exists
  instead of a generic ZenException.  This fixes 185941.
- New source drop (r30603):
- Fixes strerr parsing for the 'transact' helper (#185006).
- Run update-status after adding NU services (#185924).
- Allow file URIs for YUM services.
* Fri Jun 16 2006 - maw@suse.de
- New source drop (r30550) which:
- Doesn't incorrectly cache the result of previous parse-metadata
  runs (#185593 and #185206).
* Thu Jun 15 2006 - maw@suse.de
- New source drop (r30481) which:
- Makes sure the security-level string is signature, checksum, or
  none (#185424)
- Doesn't set MONO_MANAGED_WATCHER
- Makes sure we set KEYRING_CALLBACK for parse-metadata so it
  prompts us with key/digest events
- Sees if the repo keys exist before we try and download them
- Doesn't download other.xml.gz from NUService (#184794).
* Wed Jun 14 2006 - maw@suse.de
- New source drop (r30319) which:
- Adds GetInstalled class methods for Patch and Product to get
  installed resolvables only
- Makes sure file uris passed to service-delete are prefixed with
  file:// (#183211
- Clears the catalog before we remove it, so that any duplicates
  are correctly replaced on refresh (#183139)
- Tries to always download repomd.xml.key and repomd.xml.asc for
  YUM service; this is what the aforementioned signing.diff,
  which has no been removed, does.
* Wed Jun 14 2006 - kkaempf@suse.de
- include signing.diff (rev 30270:30271) (#183381)
* Mon Jun 12 2006 - maw@suse.de
- New source drop (r30207) which:
- Sets the UseBinary flag on the FtpWebRequest to true
- Uses the TYPE command to set the data type before executing the
  SIZE command, since many servers require it (#182633)
- Gets proxy settings from ~/.curlrc if available (#175617)
- Catches IOException in ProcessProgress in case the subprocess
  is dead
- Allows file bundles without a payload
- Fixes the proxy settings so that the username and password
  are only pulled from the system if we're using the system proxy
- Orders service types by priority before calling CanMount ().
- Passes empty strings for virtual path and query string when
  creating SimpleWorkerRequest instead of nulls; it used to work
  with nulls, but now we get a nice null ref exception
- Fixes a typo (#182952)
- Tries to download repmod.xml.key and repomd.xml.asc if the server
  provides patches and if the security level preference is not
  "none" (zmd side of #182222)
- Returns false in CanMount ();  NU services can't be
  auto-detected because we aren't authorized to view the content
  before the we've registered.
* Fri Jun 09 2006 - maw@suse.de
- Create an entry in /etc/logrotate.d (logrotate.patch) (#182495).
* Thu Jun 08 2006 - maw@suse.de
- New source drop (r29995) which:
- Marks the schedule list with view privileges
- Does Fail/Finish in the OnExit method, not OnExitInternal, as
  subclasses need the ability oto set their own failure messages
- Resets the sleep schedule before adding it
- Ensures that the sleep schedule is not started until after all
  initial services are added
- Doesn't start the sleep schedule until after remoting has
  been started.  #178389
* Tue Jun 06 2006 - maw@suse.de
- Populate /var/adm/fillup-templates/sysconfig.zmd and
  /etc/sysconfig/zmd.  #162794
- s/OPTIONS/ZMD_OPTIONS/ in the init script.  More #162794
  goodness.
* Mon Jun 05 2006 - maw@suse.de
- Require the version of libzypp-zmd-backend that is current at
  build time.  #158295
* Fri Jun 02 2006 - maw@suse.de
- New source drop (r29634) which:
- Sees if we're updating ourself and, if so, delays the call to
  ShutdownManager.allow().  This is so the client polling
  the transaction can get the final status of the transaction
  before we restart (#179413)
- An update is now apparently a resolvable with isntalled == 0
  && status = ResolvableStatus.Broken (#180698)
- Throws an exception if parse-meratadails and handles it correctly
  where necessary (#181065).
* Thu Jun 01 2006 - maw@suse.de
- New source drop (r29565) which:
- Fixes #180392
- Implements unmount for all services types
- Makes sure we properly fail the progress when we run into
  key/digest errors
- Doesn't leak sockets when setting a new one
- Makes sure new Key/Digest exceptions are serialized correctly.
* Wed May 31 2006 - maw@suse.de
- New source drop (r29403) which:
- Adds new exceptions for key and digest errors
- Supports FTP service autodetection (#178832)
- Detects FTP errors correctly if the requested file size request
  fails
- Detects if a helper process exited due to a signal
- Blocks sbutdowns while helpers are running (#178144)
- Before restarting, nukes the pid file so when we start up we
  don't think another zmd is running (partial fix for #178218)
- Implements a key whitelist, exposed over remoting, to control
  zmd's behavior when the helpers raise a security error/event.
- Changes the key/digest related parsing functions to use the new
  exception types and place them in the progress objects for the
  clients to handle.  Also, sets KEYRING_CALLBACK for a few of the
  zypp helpers to turn on key/digest checking
- Throws ResolvableNotFoundException if ResolvableInfo ->
  Resolvable conversion fails. This should happen very rarely
  and only if a service is removed after a resolvable from the
  service is sent to the client and after client responds
  with it. Or, while the service is refreshing.  (partial fix
  for #176640)
- Corrects the CanMount url; the NU service was automatically
  selected for YUM services as well
- Parses key/digest status from the backend helpers
- Adds database schema version.  When opening the database and
  there is either a schema version mismatch or the database is
  corrupted, delete the database and create it again. (#165819
  and #175592)
* Thu May 25 2006 - maw@suse.de
- New source drop (r29091) which:
- Further fixes restart on update.  #178218
* Thu May 25 2006 - maw@suse.de
- Added a patch (sleep-interval.patch) to make zmd go to sleep
  after 30 minutes of inactivity instead of 5.
* Wed May 24 2006 - maw@suse.de
- Actually restart on update.  #178218
* Mon May 22 2006 - maw@suse.de
- New source drop (r28776) which:
- Handles BundleLockedExceptions
- Implements two-way communication with the helpers
- Have LookupCatalogById check the system catalog for matching
  id
- Implements GetPUpdates for products and patterns.
* Fri May 19 2006 - thunder@suse.de
- New source drop (r28625) which:
- Adds initial support for parsing status messages from all helpers,
  not just the 'transaction' helper.
- Adds new status IDs for signature key and digest verification
  events from the helpers.
- Removed ostargets.xml patch, it's upstream now.
* Thu May 18 2006 - maw@suse.de
- New source drop (r28510) which:
- Subscribes the catalogue of a one-catalog-only service
- Marks RemoteTransactionProgress.MediaMessage with view
  privileges, fixing #171008, #171171, and #170328.
* Tue May 16 2006 - maw@suse.de
- New source drop (r28426) which:
- Improves remoting exception messages.
- Add a patch (retry-interval.patch) so that zmd will wait longer
  when retrying a service addition.
* Tue May 09 2006 - maw@suse.de
- New source drop (r28129) which:
- Handles ftp connection already open response
- Allows '\' in user names
- Calls update-status after 'zypp' metadata is parsed.
* Wed May 03 2006 - maw@suse.de
- Add a patch (ostargets.patch) which fixes catalog detection
  on ppc, ia64, and s390x.  Fixes #172354.
* Wed May 03 2006 - maw@suse.de
- New source drop (r27768) which:
- Runs update-status after we call parse-metadata for zypp
  services.  (#170152)
* Mon May 01 2006 - maw@suse.de
- New source drop (r27683) which:
- Marks a few bundle methods as view
- Allows RCEService to resume from sleep correctly.
- Remove the patch aj added on 27 April, as it is now in svn.
* Thu Apr 27 2006 - aj@suse.de
- Apply patch from Chris Rivera to handle scripts correctly
  (#169805).
* Wed Apr 26 2006 - maw@suse.de
- Don't require a specific version of dbus.
* Wed Apr 26 2006 - maw@suse.de
- New source drop (r27550) which:
- Fixes a locking bug.
* Wed Apr 26 2006 - maw@suse.de
- New source drop (r27531) which:
- Sets the proxies for FtpWebRequests
- Adds support for bundle locking
- Dramatically improves the sleep wakeup performance.
- Remove other.patch, as it is now in svn.
* Wed Apr 26 2006 - aj@suse.de
- Apply patch from Tambet to not download other.xml (#159316).
* Mon Apr 24 2006 - maw@suse.de
- Bring back zmd-networkmanager-reconnect.diff.
* Mon Apr 24 2006 - maw@suse.de
- Set run-transaction-test to False.  (#167831).
- Remove the patch for 156995, as it is now in svn.
- Remove zmd-networkmanager-reconnect.diff for now, as it broke the
  build.
- New source drop (r27373) which:
- Disposes our FtpWebRequests to close control connections
- Dixes zmd forgetting services issue
- Adds a syslog-level preference
- Adds locking for the SqlTransaction class.
* Mon Apr 24 2006 - thoenig@suse.de
- Add patch zmd-networkmanager-reconnect.diff to make ZMD resistant
  against D-BUS restarts (#167824).
- Add Requires for dbus-1-mono-0.60-27 or higher.
* Fri Apr 21 2006 - aj@suse.de
- Fix 156995 - patch by Tambet Ingo.
* Thu Apr 20 2006 - maw@suse.de
- New source drop (r27263) which:
- Restarts if we install patches that have RestartRequired set
- Throws an exception if there's no rollback actions to return.
  This avoids creating a useless transaction that has to be
  cancelled correctly.
* Tue Apr 18 2006 - maw@suse.de
- New source drop (r27144) which:
- Parses the initial-configuration file instead of initial-service,
  if available
- Makes sure all catalogues get added to the database, not just
  ResolvableCatalogs
* Wed Apr 12 2006 - maw@suse.de
- New source drop (r27024) which:
- Fixes casting of IResolvables to Packages (#165532)
- Pretends we download zipp packages even though we don't.  libzypp
  downloads the mlater (#165597)
- Has RCE service fixes.
* Tue Apr 11 2006 - maw@suse.de
- New source drop (r26951) which:
- Fixes patch updates
- Doesn't reload system packages after dry runs
- Allows yum services with https uris
- Only runs service-delete on umount and not dispose.
* Tue Apr 11 2006 - thunder@suse.de
- New source drop (r26942):
- Don't call service-delete when disposing (#165103).
* Mon Apr 10 2006 - thunder@suse.de
- New tarball (svn r26891):
- Yum sources only work with http/https/ftp (#163390).
- Zypp sources accept http/https/ftp.
* Sun Apr 09 2006 - aj@suse.de
- Fix postun script to use correct name.
* Fri Apr 07 2006 - thunder@suse.de
- New tarball (svn r26826):
- Version is now 7.1.1.0.
- Fix service autodetection (#164399).
- Fix resolvable deletion in the DB (#160225).
- Fix service-delete helper call.
- Fix zypp service (#156030).
- Pass --no-signature to transact helper if 'require-signatures' is
  set to false (#163862, #163864).
- Pass --test to transact helper for dry-run transactions.  Add a new
  'run-transaction-test' preference for this.
* Thu Apr 06 2006 - maw@suse.de
- New source drop (r26745) which:
- Compares package arches against the system arch, not the distro
  one
- Only fixesup package names on Red Hat systems.
* Tue Apr 04 2006 - maw@suse.de
- New source drop (r26656) which:
- Has an updated copyright string in Daemon Health
- Implements a service helper for service remover.
* Fri Mar 31 2006 - maw@suse.de
- New source drop (r26565) which:
- Reverts lots of brokenness
* Fri Mar 31 2006 - maw@suse.de
- New source drop (r26498) which:
- Actually writes out the zmd.sleeping file when we goto sleep,
  and ensure that it has correct permissions.
* Thu Mar 30 2006 - aj@suse.de
- Package /var/run/zmd [#162079].
* Thu Mar 30 2006 - maw@suse.de
- Teach zmd to restart when it's updated (#162043).
* Thu Mar 30 2006 - thunder@suse.de
- New source drop (r26462) which:
- Adds arch filtering (#158187).
- Expires the web cache after refresh.
* Wed Mar 29 2006 - maw@suse.de
- New source drop (r26368) which:
- Makes sure there is sufficient disk space before downloading
  packages
- Cleans the cache after each transaction
- Logs the mono version on startup
- Adds the preference cache-max-size-hard-limit
- Doesn't expire cache when coming out of sleep mode
* Mon Mar 27 2006 - maw@suse.de
- New source drop (r26223) which:
- Adds summary and description fields for patches, patterns,
  and products.
- Package /var/cache/zmd (#159031).
- Package /etc/zmd/zmd.conf as a config file (#159677).
* Fri Mar 24 2006 - maw@suse.de
- New source drop (r26139) which:
- Marks RemoteBundleManager.SubscribeCatalog with the subscribe
  privilege
- Applies Klaus' database patch
- Don't npe in QueryFiles if we have a broken query-files helper
* Wed Mar 22 2006 - maw@suse.de
- New source drop (r26051) which:
- Fixes #159814
- Adds targets for Fedora Core 5
- Fixes the 'remote-enabled' preference
- Sets 'remote-enabled' to false by default
- Changes refresh-interval to 24 hours by default
- Supports RCE channels that colon-delimited targets
- Adds 'category' and 'status' to all resolvables
- Only matches system packages when only installed packages
  are queried
- Makes GetUpdates not include duplicate packages
- Various permissions fixes on remoting methods.
- Remove zmd.conf-path-in-manpage.patch
- Remove remote-enabled-false.patch
- Remove bla-blah.patch
* Sat Mar 18 2006 - aj@suse.de
- Reduce BuildRequires.
* Sat Mar 18 2006 - aj@suse.de
- Get rid of "blah blahb lah" debug output.
* Sat Mar 18 2006 - maw@suse.de
- Added a patch that fixes the shown path of zmd.conf in the
  manpages. (158587)
- Added a patch that sets remote-enabled to False by default.
  (158592)
* Wed Mar 15 2006 - maw@suse.de
- New source drop (r25671) which:
- Implements API to get patches which are supposed to be updated
- Adds query functionality for all types of resolvables for
  the xml-rpc interface.
* Tue Mar 14 2006 - maw@suse.de
- New source drop which fixes #157811 (verified certs)
* Tue Mar 14 2006 - maw@suse.de
-  Yet another source drop, contains changes necessary for
  the latest zen-updater source drop to build.
* Mon Mar 13 2006 - maw@suse.de
- New source drop which removes further vestigal libredcarpet
  dependencies.
* Mon Mar 13 2006 - maw@suse.de
- New source drop which:
- Adds a --disable-backend flag to configure so we can avoid
  building the librc-backend subpackage
- Adds a 'kind' field to resolvables
- Properly reloads installed packages after transactions
- Remove kind-attribute.diff, as it's now in svn
- Add a patchfor zmd.conf to require verified certificates (#156496)
- Remove the librc-backend subpackage sections from the .spec
- Build with the --disable-backend flag
- Remove libredcarpet from buildrequires.
* Sun Mar 12 2006 - maw@suse.de
- New source drop which:
- Adds remoting API for querying patches, products, patterns
- Adds PatchStatus enu(M?)
- Run the 'update-status' helper when appropriate (bug #156420)
- Make remote transaction API take resolvables
- Update ostargets.xml for new distros (SLES/SLED 10, SUSE 10.1)
- Support of installation from multiple CDs
* Sun Mar 12 2006 - kkaempf@suse.de
- add 'kind' attribute to resolvables table (#157497)
* Sat Mar 11 2006 - aj@suse.de
- Really enable NetworkManager support.
* Sat Mar 11 2006 - maw@suse.de
- New source drop which:
- Enables NetworkManager support
- Fixes SSL certificate error messages
- Fixes service autodetection
- Adds lock API to the xmlrpc layer
* Thu Mar 09 2006 - maw@suse.de
- New source drop which:
- Has API changes for patches
- Fixes distro detection
* Thu Mar 09 2006 - maw@suse.de
- New source drop (comes from zmd revision 25329 in svn) which:
- Makes sure zmd doesn't goto sleep during service mounts and
  refreshes
- Implements FTP support
- Fixes removing of "busy" services
- Fixes scheduler blackout period deadlock
- Sets the zmd process name correctly so that 'killall zmd'
  works and we have 'zmd' in ps and top
- Fixes the caching of compressed files
- Reworks YUM service suppport for better progress reporting
- Implements media changing support during transactions
- Fixes registration with the Novell Update service.
- Remove Klaus' patch, as its functionality is now in svn.
* Wed Mar 08 2006 - kkaempf@suse.de
- add 'media_nr' attribute to resolvables table to make multi-CD
  installations possible. (#156060)
* Mon Mar 06 2006 - maw@suse.de
- New source drop, which:
- Adds optional NetworkManager support
- Improves sleep behaviour, providing info to callers when it's
  waking up and hence will answer requests slowly at first
- Mark more API as callable for users with 'view' privs
- Improve remoting sponsoring
- Fix the RCE parser
- Don't attempt to sleep while shutdown is blocked
- Bugfixes for the scheduler
- (incomplete) support for media changes during transactions
- Fix the XML-RPC API for adding yum services and
  marshalling services with no name
- Remove the zmd-zypp patch, as it's no longer necessary
* Thu Mar 02 2006 - maw@suse.de
- New source drop, which:
- Adds remoting API for new resolvables (patch, pattern, product)
- Implements YUM services support
- Implements Novell Update services suupport
- Implement zypp service support for the libzypp backend
- Temporary patch needed to get zen-updater to build (will go
  away when everything's once more built out of the same svn
  branch).
* Sat Feb 25 2006 - aj@suse.de
- Reduce BuildRequires.
* Tue Feb 21 2006 - thunder@suse.de
- New source drop, fixes a problem where zmd will never go to sleep
  when zen-updater is running, and adds service type autodetection.
- Remove zmd-makefile-chown.patch, it is upstream now.
* Mon Feb 20 2006 - thunder@suse.de
- New source drop.
- Rename zmd-makefile.patch to zmd-makefile-docdir.patch, for
  clarity.
- Add a zmd-makefile-chown.patch to remove a mistaken chown in the
  makefile.
* Fri Feb 17 2006 - maw@suse.de
- New source drop.
- Package new files in libdir and /etc.
* Tue Feb 14 2006 - maw@suse.de
- Need to package /usr/share/man/man8/zmd.gz.
* Tue Feb 14 2006 - ro@suse.de
- removed non-existant dirs from filelist
* Tue Feb 14 2006 - maw@suse.de
- New source drop.
- Really correct the names of the authors this time.
* Thu Feb 09 2006 - maw@suse.de
- New source drop.  Note that the tarball is now 7.1.1, matching
  the package's version.
- Removed zmd-defender.diff, as the new tarball includes it.
- Corrected the names of the authors.
* Wed Feb 08 2006 - kkaempf@suse.de
- add zmd-defender.diff to include libzypp related backend
  changes.
- bump version to 7.1.1 for Code10
* Sat Feb 04 2006 - maw@suse.de
- New source drop.
* Mon Jan 30 2006 - thunder@suse.de
- New source drop.
- Changed to depend on libredcarpet >= 7.0.0, not libredcarpet7.
- Removed squilte lib copy patch, it can be disabled via configure.
* Mon Jan 30 2006 - kkaempf@suse.de
- fix spec file and filelist.
* Sun Jan 29 2006 - kkaempf@suse.de
- splitt off zmd-librc-backend to ease transition to
  zmd-zypp-backend
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 26 2006 - maw@suse.de
- New source drop.
* Tue Jan 24 2006 - thunder@suse.de
- Glob all files in %%_libdir/zmd/* into the main package.  We can
  do that now, because the devel package doesn't grab anything from
  there.
* Fri Jan 20 2006 - maw@suse.de
- Doh.  Install find-file to $LIBDIR/zmd.
* Fri Jan 20 2006 - maw@suse.de
- New source drop.
* Thu Jan 19 2006 - maw@novell.com
- Pass --localstatedir=/var to configure
- Package $PREFIX/lib/zmd/find-file
* Mon Jan 16 2006 - thunder@suse.de
- Remove $libdir/*.so as well.
* Mon Jan 16 2006 - thunder@suse.de
- Don't package up $libdir/*.so.*, we don't copy those files anymore
* Mon Jan 16 2006 - thunder@suse.de
- New source drop, really doesn't depend on zmd-logger now.
* Mon Jan 16 2006 - thunder@suse.de
- Remove zmd-logger build-dependency, it is not needed in latest
  code drop.
- Add --disable-lib-copy configure flag, to make it not copy
  dependency libs into zmd's libdir.
* Mon Jan 16 2006 - kkaempf@suse.de
- add sqlite, log4net, zmd-logger to neededforbuild
- fix filelist
* Mon Jan 16 2006 - thunder@suse.de
- New source drop.
* Tue Jan 10 2006 - thunder@suse.de
- sqlite library is being installed ti $prefix/lib/zmd, so grab it
  from there instead of $libdir.
* Tue Jan 10 2006 - thunder@suse.de
- New tarball with x86_64 fixes
- Mono 1.1.13 support is in a patch now
* Mon Jan 09 2006 - thunder@suse.de
- Updated tarball with fixes for mono 1.1.13.
* Sat Jan 07 2006 - thunder@suse.de
- Correctly call make with the SQLITE_* variables pointing to the
  sqlite we build.
* Sat Jan 07 2006 - thunder@suse.de
- Update to version 7.1.0
- Add our own sqlite
* Fri Dec 23 2005 - gekker@suse.de
- Take a new tarball that fixes open-carpet support
- Install files where zen wants them
* Mon Dec 19 2005 - gekker@suse.de
- Update to version 7.0.2 and rename zmd for ZLM
* Fri Oct 14 2005 - hvogel@suse.de
- Update to version 2.4.9
* Tue Aug 23 2005 - hvogel@suse.de
- add rcd-2.4.8-tambet-ref-before-idle.patch
  rcd-2.4.8-maw-max-downloads.patch
* Thu Aug 18 2005 - ro@suse.de
- updated rcd-2.4.8-tambet-memory-management-95454.patch
* Wed Aug 17 2005 - ro@suse.de
- added patch for memory management (#95454)
* Mon Aug 15 2005 - ro@suse.de
- update to version 2.4.8
- use patches from maw (basically identical to ours)
- removed upstreamed rcd-2.4.7-danw-noexec.patch
- remove upstreamed rcd-2.4.6-tambet-use-cache-on-error
* Sat Aug 13 2005 - aj@suse.de
- Add lzo and lzo-devel to neededforbuild.
* Wed Aug 10 2005 - hvogel@suse.de
- update to version 2.4.7
* Mon Jul 25 2005 - mmj@suse.de
- fix build
* Wed Jun 29 2005 - hvogel@suse.de
- move all devel files into the devel package
- better permissions for config files
- add devel subpackage dependencies
* Tue Jun 28 2005 - gekker@suse.de
- Add patch for close exec (62176).
* Thu Jun 23 2005 - hvogel@suse.de
- dont mark logrotate file as config
* Wed Jun 15 2005 - gekker@suse.de
- Increase statvfs interval (88434).
* Thu May 26 2005 - gekker@suse.de
- Use cache on error (84507).
* Tue Apr 19 2005 - hvogel@suse.de
- update to version 2.4.6
* Sun Apr 03 2005 - aj@suse.de
- Fix building with GCC4.
* Thu Mar 10 2005 - hvogel@suse.de
- fix http authenticate handling
* Thu Mar 10 2005 - hvogel@suse.de
- its libsoup and libsoup-devel not libsoup and libsoup-rcd
* Thu Mar 10 2005 - hvogel@suse.de
- require ping pong. libsoup-rcd -> libsoup again.
* Mon Mar 07 2005 - hvogel@suse.de
- require libsoup-rcd instad of libsoup because rcd does not
  work with newer libsoup
* Thu Feb 03 2005 - hvogel@suse.de
- update to version 2.4.5 to address the following bugs:
  * unable to auth error. (Ximian #69508)
  * rcd:rpmte.c assertrion failure. (Ximian #69672)
  * Don't try to download patches from open-carpet server.
  * Fix memory leaks in YOU module. (SUSE #48961)
  * Fix a memory leak in apt code. (SUSE #48961)
* Thu Nov 04 2004 - hvogel@suse.de
- update to version 2.4.4
* Thu Nov 04 2004 - hvogel@suse.de
- update to version 2.4.3 which includes all patches except
  the arch patch
* Tue Oct 26 2004 - hvogel@suse.de
- add yast devel packages to nfb for patch support
* Sun Oct 24 2004 - clahey@suse.de
- Added two patches from the redcarpet team to fix bugs in you.
  Ximian bug #65718.
* Fri Oct 22 2004 - hvogel@suse.de
- dont link libm static on ppc/ppc64.
* Tue Oct 12 2004 - clahey@suse.de
- Set new default server. Ximian bug 68125
* Fri Sep 24 2004 - hvogel@suse.de
- add --enable-patches
* Tue Sep 07 2004 - ro@suse.de
- use -fno-strict-aliasing until source has been fixed
* Mon Sep 06 2004 - hvogel@suse.de
- update to version 2.4.0
* Tue Aug 31 2004 - ro@suse.de
- use libsoup instead of obsolete libsoup2
- remove "-lpthread" from LIBSOUP_LIBS, pthread is there anyway
  and can not be linked in statically
* Mon Aug 30 2004 - kukuk@suse.de
- Add libopencdk-devel to neededforbuild
* Thu Aug 26 2004 - hvogel@suse.de
- add patch to avoid an architecture change (i586<->i686) during
  package update
* Thu Jul 15 2004 - hvogel@suse.de
- add libgcrypt-devel and lipgpg-error-devel to nfb
* Fri Jun 25 2004 - clahey@suse.de
- Set default host to https://www.novell.com/data
* Tue Jun 08 2004 - clahey@suse.de
- Turn on rcd in %%post.
* Tue Mar 16 2004 - hvogel@suse.de
- pass %%_libdir to configure
* Tue Mar 16 2004 - kkaempf@suse.de
- libsoup2.2 -> libsoup2 in neededforbuild
* Tue Mar 16 2004 - kkaempf@suse.de
- update to 2.0.2
- split off non-rcd specific packages (i.e. xmlrpc-c)
* Thu May 15 2003 - ug@suse.de
- initial for SLD (SL Desktop)
